Twitterrific's System Requirements (Mac)

What are the system requirements to run Twitterrific for Mac?

A Mac running macOS X 10.11 or higher and a Twitter account. If you do not have an account, you can sign up for free at Twitter.com